% cetsis.cls
% LaTeX template for Cetsis 2024 in Perpignan
% 2024/10/18 S. Thil
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{cetsis}[2024-10-18 Cetsis template v1.0]

% This class extends the article class
% Read the documentclass options and pass
% them to article, unless the file
% "<currentoption>.min" exists, then load it

\DeclareOption*{\InputIfFileExists
   {\CurrentOption.min}
   {}
   {\PassOptionsToClass{\CurrentOption}
   {article}}}
\ProcessOptions \relax

\LoadClass[a4paper,10pt,twocolumn]{article}
\RequirePackage[left=2cm,right=2cm,top=3cm,bottom=3cm]{geometry}
\setlength{\columnsep}{1.25cm}
\RequirePackage{titlesec}
\RequirePackage{mathptmx}
\RequirePackage{graphicx}
\RequirePackage[font={small,it},labelsep=colon]{caption}
\RequirePackage[noblocks]{authblk}
\setlength{\affilsep}{1pt}

% No indent
\setlength{\parindent}{0pt}

\makeatletter

% Custom abstract and keylist and maketitle
\def\myabstract#1{\gdef\@myabstract{#1}}%
\def\mykeys#1{\gdef\@mykeys{#1}}%
\def\@maketitle{%
   \newpage
   \null
   % \vskip 2em%
   \begingroup\centering%
   \let \footnote \thanks
   {\Large \bfseries \@title \par}%
   \vskip 12pt%
   \lineskip .5em%
   \begin{tabular}[t]{c}%
      \@author
   \end{tabular}\par%
   \vskip 1em%
   \par%
   \vskip 1.5em%
   \endgroup%
   {\bfseries RÉSUMÉ\,:} \@myabstract\par\vskip6pt%
   {\bfseries Mots clés\,:} \@mykeys\par\vskip12pt%
   }

% Redefine \section and \subsection
\titleformat{\section}{\bfseries\MakeUppercase}{\thesection}{12pt}{}
\titleformat{\subsection}{\bfseries}{\thesubsection}{6pt}{}

\makeatother
